#!/usr/bin/python3
# -*- coding: utf-8 -*-

import sys

sys.path.append('/srv/spotter')
from appmgr.wsgiapp import WSGIApp

application = WSGIApp()

if __name__ == '__main__':
    import os
    from werkzeug.serving import run_simple
    from werkzeug.wsgi import SharedDataMiddleware

    application = SharedDataMiddleware(application, {
        '/static':  os.path.join(os.path.dirname(__file__), 'static')
    })
    run_simple('127.0.0.1', 8080, application, use_reloader=True)
